com.independentsoft.msg

## Enum AttachmentMethod

- java.lang.Object
- - java.lang.Enum<AttachmentMethod>
  - - com.independentsoft.msg.AttachmentMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AttachmentMethod>

      public enum AttachmentMethod
      extends java.lang.Enum<AttachmentMethod>

  Represents the way the contents of an attachment can be accessed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTACH_BY_REFERENCE` The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment to recipients with access to a common file server.
    `ATTACH_BY_REFERENCE_ONLY` The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment.
    `ATTACH_BY_REFERENCE_RESOLVE` The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment.
    `ATTACH_BY_VALUE` The Attachment.getDataObject() contains the attachment data.
    `ATTACH_BY_WEB_REFERENCE`
    `EMBEDDED_MESSAGE` The Attachment.getDataObject() contains an embedded Message object.
    `NO_ATTACHMENT` The attachment has just been created.
    `NONE` None
    `OLE` The attachment is an embedded OLE object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttachmentMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AttachmentMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ATTACHMENT

          public static final AttachmentMethod NO_ATTACHMENT

      The attachment has just been created.

    - #### ATTACH_BY_VALUE

          public static final AttachmentMethod ATTACH_BY_VALUE

      The Attachment.getDataObject() contains the attachment data.

    - #### ATTACH_BY_REFERENCE

          public static final AttachmentMethod ATTACH_BY_REFERENCE

      The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment to recipients with access to a common file server.

    - #### ATTACH_BY_REFERENCE_RESOLVE

          public static final AttachmentMethod ATTACH_BY_REFERENCE_RESOLVE

      The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment.

    - #### ATTACH_BY_REFERENCE_ONLY

          public static final AttachmentMethod ATTACH_BY_REFERENCE_ONLY

      The Attachment.getPathName() or the Attachment.getLongPathName() contains a fully-qualified path identifying the attachment.

    - #### EMBEDDED_MESSAGE

          public static final AttachmentMethod EMBEDDED_MESSAGE

      The Attachment.getDataObject() contains an embedded Message object.

    - #### OLE

          public static final AttachmentMethod OLE

      The attachment is an embedded OLE object.

    - #### ATTACH_BY_WEB_REFERENCE

          public static final AttachmentMethod ATTACH_BY_WEB_REFERENCE

    - #### NONE

          public static final AttachmentMethod NONE

      None

  - ### Method Detail

    - #### values

          public static AttachmentMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttachmentMethod c : AttachmentMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttachmentMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null